/*CSS Reset*/

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

/*body selector*/

body {
	font-family: 'Open Sans', sans-serif;
}

/* navbar */
nav {

	/*rem root element default font size is (16px)*/
/*	padding-left: 0.8rem;
	padding-right: 0.8rem;
	padding-top: 0.8rem;
	padding-bottom: 0.8rem;*/
	padding: 0.8rem;
	margin-bottom: 2rem;
	border-bottom: 1px solid gray;

}

nav > ul {
	list-style-type: none;
}

/*, - multiple selector - allows us to use multiple selector for one
css rule*/
nav .nav, nav .nav-logo {
	margin: 05.rem;
	display: inline;
/*display with value of inline - allows us to change a block element into 
an inline element*/
}

/*intro section*/
#intro	{
	padding-left: 10%;
	padding-right: 10%;
/*% is used to make page more responsive. Our padding on the left and 
right are now dependent on the dith of the parent element*/
padding-top: 2rem;
padding-bottom: 3rem;
text-align: center;
}

#intro h2, #intro p{
	margin-bottom: 1rem;
}

#intro button {
	color: white;
	/*font-weight allows to determine the thickness of text*/
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	padding: 1rem;
}

/*succeed-info section*/
#succeed-info {
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
}

#succeed-info h2 {
	margin-bottom: 1rem;
	text-align: center;

}

#succeed-info h3 {
	margin-bottom: 1rem;
	text-align: center;

}

.card {
	display: inline-block;
	vertical-align: top;
	/*minimum height - able to add or define a minimum height for 
	elements, unlike the height property,which is fixed value. This
	property allows the element to adjust when the context exceeds
	it or when the context does not reach the height that was set. 
	Good practice so you can have elements with the same height*/
	min-height: 175px;
	width: 30%;
	margin-left: 0.5rrem;
	margin-right: 0.5rem;
	border: 1px solid gray;
}

/*pre-footer section*/
#pre-footer {
	padding: 1rem;
	background-color: #002540;
	color: white;
}

#pre-footer > div {
	display: inline-block;
	width: 20%;
	vertical-align: top;
}

#pre-footer > div > *  {
	margin-top: 0.3rem;
	margin-bottom: 0.3rem;
}

/*footer*/
footer {
	padding: 0.7rem;
}

footer span	{
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}